javax.crypto.interfaces

## Interface PBEKey

All Superinterfaces:
  Key, SecretKey, Serializable

    public interface PBEKey
    extends SecretKey

The interface to a PBE key.

Since:
  1.4
See Also:
  `PBEKeySpec`, `SecretKey`

### Field Summary

Fields
`static long` `serialVersionUID` The class fingerprint that is set to indicate serialization compatibility since J2SE 1.4.

### Method Summary

Methods
`int` `getIterationCount()` Returns the iteration count or 0 if not specified.
`char[]` `getPassword()` Returns the password.
`byte[]` `getSalt()` Returns the salt or null if not specified.

### Methods inherited from interface java.security.Key

`getAlgorithm, getEncoded, getFormat`

### Field Detail

#### serialVersionUID

    static final long serialVersionUID

The class fingerprint that is set to indicate serialization compatibility since J2SE 1.4.

See Also:
  Constant Field Values

### Method Detail

#### getPassword

    char[] getPassword()

Returns the password.

Note: this method should return a copy of the password. It is the caller's responsibility to zero out the password information after it is no longer needed.

Returns:
  the password.

#### getSalt

    byte[] getSalt()

Returns the salt or null if not specified.

Note: this method should return a copy of the salt. It is the caller's responsibility to zero out the salt information after it is no longer needed.

Returns:
  the salt.

#### getIterationCount

    int getIterationCount()

Returns the iteration count or 0 if not specified.

Returns:
  the iteration count.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.